package com.ssj.bean.kmt.kmt.domain;


import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "kmt_course_know_detail")
public class KmtCourseKnowDetail  extends BaseEntity {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String courseKnowId;
	
	private String knowId;
	
	private String explainText;
	
	private Integer num;
	
	private Integer type;
	
	private String name;
	
	private String ydsl;
	
	private String howName;
	
	private String howId;
	
	
	private Date createTime;
	/**
	 * 专题知识点id
	 */
	private String specialTopicDetailsId;
	

	public String getYdsl() {
		return ydsl;
	}

	public void setYdsl(String ydsl) {
		this.ydsl = ydsl;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getCourseKnowId() {
		return courseKnowId;
	}

	public void setCourseKnowId(String courseKnowId) {
		this.courseKnowId = courseKnowId;
	}

	
	public String getKnowId() {
		return knowId;
	}

	public void setKnowId(String knowId) {
		this.knowId = knowId;
	}


	public String getExplainText() {
		return explainText;
	}

	public void setExplainText(String explainText) {
		this.explainText = explainText;
	}

	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSpecialTopicDetailsId() {
		return specialTopicDetailsId;
	}

	public void setSpecialTopicDetailsId(String specialTopicDetailsId) {
		this.specialTopicDetailsId = specialTopicDetailsId;
	}

	public String getHowName() {
		return howName;
	}

	public void setHowName(String howName) {
		this.howName = howName;
	}

	public String getHowId() {
		return howId;
	}

	public void setHowId(String howId) {
		this.howId = howId;
	}
	
	
	
}
